% Example: Kriging across the domain of flowset FS10, using the input data matrix F1 in "flowset.mat", 
%       the model variogram in "vg_mod.m" (after its fitting was done in "variogram_model_manualfit_example.m)
%       and the kriging range R, across a rectangular domain and at horizontal resolution dx and dy.
%       R, domain, dx and dy are specified by the user.


% load flowset data
load flowset

% SET KRIGING RANGE HERE:
R = 50;   % chosen based on the approximate location of the "sill" of the experimental variogram in Figure 2c of the paper

% DEFINE THE x-y RANGES AND RESOLUTION OF THE GRIDDED DOMAIN HERE:
domain = [330 430 600 680];
dx = 0.5;
dy = 0.5;

% kriging interpolation across the domain (including saving the results)
krig_domain(F1,F,R,domain,dx,dy);

